define({ "api": [
  {
    "type": "PUT",
    "url": "/fs/append",
    "title": "Append",
    "description": "<p>Append contents to a file.</p>",
    "group": "FS_API",
    "name": "Append",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "path",
            "description": "<p>Mandatory Path of file.</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "contents",
            "description": "<p>Mandatory Contents to append.</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "lib/routes/append.js",
    "groupTitle": "FS_API"
  },
  {
    "type": "PUT",
    "url": "/fs/move",
    "title": "Move",
    "description": "<p>Move a file or folder.</p>",
    "group": "FS_API",
    "name": "Move",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "oldPath",
            "description": "<p>Mandatory current path location.</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "newPath",
            "description": "<p>Mandatory new path location.</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "lib/routes/move.js",
    "groupTitle": "FS_API"
  },
  {
    "type": "GET",
    "url": "/fs/read",
    "title": "Read",
    "description": "<p>Read the contents of a file.</p>",
    "group": "FS_API",
    "name": "Read",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "path",
            "description": "<p>Mandatory file path to read. Must use as url query string.</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "lib/routes/read.js",
    "groupTitle": "FS_API"
  },
  {
    "type": "DELETE",
    "url": "/fs/remove",
    "title": "Remove",
    "description": "<p>Remove a file or folder.</p>",
    "group": "FS_API",
    "name": "Remove",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "path",
            "description": "<p>Mandatory path of file or folder.</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "lib/routes/remove.js",
    "groupTitle": "FS_API"
  },
  {
    "type": "PUT",
    "url": "/fs/rename",
    "title": "Rename",
    "description": "<p>Rename a file or folder.</p>",
    "group": "FS_API",
    "name": "Rename",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "oldPath",
            "description": "<p>Mandatory current path name.</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "newPath",
            "description": "<p>Mandatory new path name.</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "lib/routes/rename.js",
    "groupTitle": "FS_API"
  },
  {
    "type": "GET",
    "url": "/fs/stat",
    "title": "Stat",
    "description": "<p>Get stats of a file.</p>",
    "group": "FS_API",
    "name": "Stat",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "path",
            "description": "<p>Mandatory file path to check. Must use as url query string.</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "lib/routes/stat.js",
    "groupTitle": "FS_API"
  },
  {
    "type": "GET",
    "url": "/fs/tree",
    "title": "Directory Tree",
    "description": "<p>Get the current file and directory tree of the base directory.</p>",
    "group": "FS_API",
    "name": "Tree",
    "version": "0.0.0",
    "filename": "lib/routes/tree.js",
    "groupTitle": "FS_API"
  },
  {
    "type": "POST",
    "url": "/fs/write",
    "title": "Write",
    "description": "<p>Create a new directory or file.</p>",
    "group": "FS_API",
    "name": "Write",
    "parameter": {
      "fields": {
        "Parameter": [
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "path",
            "description": "<p>Mandatory file path of new file or directory.</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "filename",
            "description": "<p>Optional file name, leave blank if creating directory.</p>"
          },
          {
            "group": "Parameter",
            "type": "String",
            "optional": false,
            "field": "contents",
            "description": "<p>Optional contents of file.</p>"
          }
        ]
      }
    },
    "version": "0.0.0",
    "filename": "lib/routes/write.js",
    "groupTitle": "FS_API"
  }
] });
